> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains

> Retrieves a list of all supported blockchain networks with their detailed information.



## OpenAPI

````yaml openapi.json get /api/chains
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/chains:
    get:
      tags:
        - Chain
      summary: Get Supported Chains
      description: >-
        Retrieves a list of all supported blockchain networks with their
        detailed information.
      responses:
        '200':
          description: >-
            Returns a list of names and detailed information for all supported
            blockchain networks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chains:
                    type: object
                    properties:
                      algorand:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      ethereum:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      holesky:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      zksync:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      zksync-sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      injective-evm-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      base:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      base-sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      optimism:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      optimism-sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      arbitrum:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      arbitrum-sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      polygon:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      polygon-amoy:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bsc:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bsc-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      linea:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      linea-sepolia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      avalanche:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      avalanche-fuji:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      gnosis:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      gnosis-chiado:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      moonbeam:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      moonriver:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      moonbase:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      fantom:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      mantle:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      chiliz:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      chiliz-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      ton:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      tron:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      rootstock:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      rootstock-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bitcoin:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bitcoin-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bitcoin-signet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      litecoin:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      dogecoin:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      starknet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      monad-testnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      bitsong:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      chihuahua:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      seda:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      persistence:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      comdex:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      humans-ai:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      ki:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      mars-hub:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      provenance:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      quicksilver:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      saga:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      ux-chain:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      kava:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      sei:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      fetch-ai:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      cosmoshub:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      osmosis:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      celestia:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      dydx:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      axelar:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      evmos:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      irisnet:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      juno:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
                      lum-network:
                        type: object
                        properties:
                          family:
                            type: string
                            enum:
                              - algorand
                              - cosmos
                              - evm
                              - bitcoin
                              - tron
                              - ton
                              - starknet
                          id:
                            $ref: '#/components/schemas/ChainId'
                          nativeId:
                            type: string
                          name:
                            type: string
                          ticker:
                            type: string
                          decimals:
                            type: number
                          isTestnetFor:
                            type: string
                          supportedFeatures:
                            $ref: '#/components/schemas/ChainSupportedFeatures'
                          signerSpec:
                            $ref: '#/components/schemas/SignerSpec'
                        required:
                          - family
                          - id
                          - nativeId
                          - name
                          - ticker
                          - decimals
                          - supportedFeatures
                          - signerSpec
[...]
